Last Comment Bug 311775 - objects created with GeckoActiveXObject are broken
: objects created with GeckoActiveXObject are broken
Status: RESOLVED FIXED
: fixed1.8, regression
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: David Bradley
: Phil Schwartau
Mentors:
Depends on:
Blocks: 310097
  Show dependency treegraph
 
Reported: 2005-10-09 06:24 PDT by David Bradley
Modified: 2011-08-05 22:34 PDT (History)
7 users (show)
brendan: blocking1.8rc1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Removes the unecessary JSObject test (1.25 KB, patch)
2005-10-09 06:30 PDT, David Bradley
jst: review+
brendan: superreview+
asa: approval1.8rc1+
Details | Diff | Review

Description David Bradley 2005-10-09 06:24:07 PDT
The patch in bug 273953 apparently broken the IDispatch support. It's testing
for a JSObject on the tearoff that is found and bailing if one doesn't exist. I
don't believe this test is necessary. I suspect the original code was calling
FindTearOff with a value of true for needsJSobject and everything was ok. I
didn't provide that for LocateTearOff because I didn't think that was necessary.
Unfortunately I forgot the remove the subsequent test in the caller.

Many thanks to Garret Davis for tracking this down.
Comment 1 David Bradley 2005-10-09 06:30:06 PDT
Created attachment 198991 [details] [diff] [review]
Removes the unecessary JSObject test

Looking for reviews
Comment 2 Garrett Davis 2005-10-10 10:54:48 PDT
(In reply to comment #1)
> Created an attachment (id=198991) [edit]
> Removes the unecessary JSObject test
> 
> Looking for reviews

I have built and tested this patch in the latest trunk and have verified that
objects created with GeckoActiveXObject are no longer broken.
Comment 3 Brendan Eich [:brendan] 2005-10-10 20:34:19 PDT
Need to fix this for 1.8 / Firefox 1.5, for embedding opportunities/partners who
need to whitelist ActiveX plugins and ship the glue.

/be
Comment 4 Brendan Eich [:brendan] 2005-10-10 20:55:19 PDT
Comment on attachment 198991 [details] [diff] [review]
Removes the unecessary JSObject test

sr=me, in advance of jst's, to get this moving toward branch approval.

/be
Comment 5 Scott MacGregor 2005-10-11 14:24:08 PDT
jst, can you review this soon for us? Thanks!
Comment 6 Johnny Stenback (:jst, jst@mozilla.com) 2005-10-13 16:29:46 PDT
Comment on attachment 198991 [details] [diff] [review]
Removes the unecessary JSObject test

r=jst
Comment 7 Brendan Eich [:brendan] 2005-10-13 19:06:00 PDT
Comment on attachment 198991 [details] [diff] [review]
Removes the unecessary JSObject test

dbradley, can you land this on the trunk ASAP?	Thanks,

/be
Comment 8 David Bradley 2005-10-14 06:17:52 PDT
I'll have some time this evening.
Comment 9 David Bradley 2005-10-14 20:49:17 PDT
Patch checked in
Comment 10 Brendan Eich [:brendan] 2005-10-14 21:07:20 PDT
Ok, this may not get trunk testing just by being checked in.  Can people who do
test it verify the bug, and we can get the patch plus'ed for 1.8 branch checkin?
 Thanks,

/be
Comment 11 Asa Dotzler [:asa] 2005-10-17 11:02:49 PDT
David and Garrett, can you guys verify this? We're coming into the final days of
the release and need to have all changes in ASAP. Thanks.
Comment 12 David Bradley 2005-10-18 06:21:55 PDT
My Cygwin install is botched, tried to get it working last night without luck.
I'm going to try again and get a good build this evening. If someone else can
verify this, that would be great, otherwise I'll try again tonight.
Comment 13 Garrett Davis 2005-10-19 07:51:52 PDT
(In reply to comment #11)
> David and Garrett, can you guys verify this? We're coming into the final days of
> the release and need to have all changes in ASAP. Thanks.

I have verified this on MOZILLA_1_8_BRANCH. I can now call properties and
methods on GeckoActiveXObject's using firefox.exe on the 1.8 branch.
Comment 14 Benjamin Smedberg [:bsmedberg] 2005-10-19 07:56:38 PDT
I'm pretty sure this was *not* checked in on the 1.8 branch...
Comment 15 Garrett Davis 2005-10-19 08:16:30 PDT
(In reply to comment #14)
> I'm pretty sure this was *not* checked in on the 1.8 branch...

You're correct, it wasn't checked in.  I verified the patch by applying the
patch to 1.8, building, and testing.  I'm sorry I wasn't specific.
Comment 16 Benjamin Smedberg [:bsmedberg] 2005-10-19 08:34:50 PDT
ah, ok ;-)
Comment 17 Scott MacGregor 2005-10-20 19:45:56 PDT
I landed this on the 1.8 branch tonight for David.

Note You need to log in before you can comment on or make changes to this bug.